Bug 114801 - Multiple oddities with kernel-smp-2.4.22-1.2163.nptl
Multiple oddities with kernel-smp-2.4.22-1.2163.nptl
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-02-02 19:17 EST by Ken Snider
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-04 12:15:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
traceback of vim issue (822 bytes, text/plain)
2004-02-02 19:19 EST, Ken Snider
no flags Details
Kernel oopses while sapdb is running. (2.58 KB, text/plain)
2004-02-02 19:24 EST, Ken Snider
no flags Details
dmesg from the box in question. (18.02 KB, text/plain)
2004-02-02 19:25 EST, Ken Snider
no flags Details

  None (edit)
Description Ken Snider 2004-02-02 19:17:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)

Description of problem:
Kernel 2163 is definately unhappy with my Opteron hardware. :)

using it results in two serious issues, both of which go away when I
use  2135 instead:

1 - vim seems unable to write to disk (Receives SIGILL's).
2 - sabdb 7.4 generates kernel oopses while running.

I'll attach examples of both below, as well as a dmesg.

Kernel 2135 completely eliminates both issues.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Ken Snider 2004-02-02 19:19:38 EST
Created attachment 97421 [details]
traceback of vim issue
Comment 2 Ken Snider 2004-02-02 19:24:16 EST
Created attachment 97422 [details]
Kernel oopses while sapdb is running.
Comment 3 Ken Snider 2004-02-02 19:25:22 EST
Created attachment 97424 [details]
dmesg from the box in question.
Comment 4 Ken Snider 2004-02-03 10:14:48 EST
Correction. Kernel 2135 does *not* address the sapdb issue, but DOES
correct the vim issue.
Comment 5 Ken Snider 2004-02-03 10:16:58 EST
Adding Justin, since he's beeen working with me in the
fedora-test-list on this issue.
Comment 6 Ken Snider 2004-02-04 11:56:45 EST
As a workaround, starting sapdb with LD_ASSUME_KERNEL=2.2.5 corrects
the Kernel messages. So whatever the problem is seems to live in NPTL
- Kernel interaction.
Comment 7 Justin M. Forbes 2004-02-04 12:15:57 EST
This is not a kernel/NPTL interraction issue, this is an issue with
SAPDB, once they build with NPTL this should be resolved.

Note You need to log in before you can comment on or make changes to this bug.